int main()
{
    int l, r, n,max=0,podniz,xor,and;

    scanf("%d",&n);

    int a[n],b[n];

    for(unsigned i=0; i<n; i++)
    {
        scanf("%d",&a[i]);
    }

    for(unsigned i=0; i<n; i++)
    {
        scanf("%d",&b[i]);
    }

    for(l=0; l<n; l++)
    {
        xor=0;
        and=~0;

        for(r=l; r<n; r++)
        {
            xor ^= a[r];
            and &= b[r];

            podniz = xor*and;

            if(podniz > max) max = podniz;
        }
    }
    printf("%d",max);
}